Package io.flutter.plugin.common

# Class ErrorLogResult

java.lang.Object
io.flutter.plugin.common.ErrorLogResult

All Implemented Interfaces:
  `MethodChannel.Result`

public class ErrorLogResult extends Object implements MethodChannel.Result
An implementation of `MethodChannel.Result` that writes error results to the Android log.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorLogResult(String tag)`
  `ErrorLogResult(String tag, int level)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `error(String errorCode, String errorMessage, Object errorDetails)`
  Handles an error result.
  `void`
  `notImplemented()`
  Handles a call to an unimplemented method.
  `void`
  `success(Object result)`
  Handles a successful result.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ErrorLogResult

    public ErrorLogResult(String tag)

  - ### ErrorLogResult

    public ErrorLogResult(String tag, int level)

- ## Method Details

  - ### success

    public void success(@Nullable Object result)
    Description copied from interface: `MethodChannel.Result`
    Handles a successful result.
    Specified by:
      `success` in interface `MethodChannel.Result`
    Parameters:
      `result` - The result, possibly null. The result must be an Object type supported by the codec. For instance, if you are using `StandardMessageCodec` (default), please see its documentation on what types are supported.

  - ### error

    public void error(String errorCode, @Nullable String errorMessage, @Nullable Object errorDetails)
    Description copied from interface: `MethodChannel.Result`
    Handles an error result.
    Specified by:
      `error` in interface `MethodChannel.Result`
    Parameters:
      `errorCode` - An error code String.
      `errorMessage` - A human-readable error message String, possibly null.
      `errorDetails` - Error details, possibly null. The details must be an Object type supported by the codec. For instance, if you are using `StandardMessageCodec` (default), please see its documentation on what types are supported.

  - ### notImplemented

    public void notImplemented()
    Description copied from interface: `MethodChannel.Result`
    Handles a call to an unimplemented method.
    Specified by:
      `notImplemented` in interface `MethodChannel.Result`